PipeWire: impl-module.h File Reference

PipeWire 0.3.25

Data Structures | Macros | Functions
impl-module.h File Reference
Include dependency graph for impl-module.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
struct | pw_impl_module_events
| Module events added with pw_impl_module_add_listener. More...

## Macros
#define | PIPEWIRE_SYMBOL_MODULE_INIT "pipewire__module_init"
#define | PIPEWIRE_MODULE_PREFIX "libpipewire-"
#define | PW_VERSION_IMPL_MODULE_EVENTS 0

## Functions
struct pw_impl_module * | pw_context_load_module (struct pw_context *context, const char *name, const char *args, struct pw_properties *properties)
struct pw_context * | pw_impl_module_get_context (struct pw_impl_module *module)
| Get the context of a module. More...
struct pw_global * | pw_impl_module_get_global (struct pw_impl_module *module)
| Get the global of a module. More...
const struct pw_properties * | pw_impl_module_get_properties (struct pw_impl_module *module)
| Get the node properties. More...
int | pw_impl_module_update_properties (struct pw_impl_module *module, const struct spa_dict *dict)
| Update the module properties. More...
const struct pw_module_info * | pw_impl_module_get_info (struct pw_impl_module *module)
| Get the module info. More...
void | pw_impl_module_add_listener (struct pw_impl_module *module, struct spa_hook *listener, const struct pw_impl_module_events *events, void *data)
| Add an event listener to a module. More...
void | pw_impl_module_destroy (struct pw_impl_module *module)
| Destroy a module. More...

## Macro Definition Documentation

## ◆ PIPEWIRE_MODULE_PREFIX

#define PIPEWIRE_MODULE_PREFIX "libpipewire-"

## ◆ PIPEWIRE_SYMBOL_MODULE_INIT

#define PIPEWIRE_SYMBOL_MODULE_INIT "pipewire__module_init"

## ◆ PW_VERSION_IMPL_MODULE_EVENTS

#define PW_VERSION_IMPL_MODULE_EVENTS 0

## Function Documentation

## ◆ pw_context_load_module()

struct pw_impl_module* pw_context_load_module | ( | struct pw_context * | context,
|  | const char * | name,
|  | const char * | args,
|  | struct pw_properties * | properties
| ) |  |

Parameters

  name | name of the module
  args | arguments of the module
  properties | extra global properties

## ◆ pw_impl_module_add_listener()

void pw_impl_module_add_listener | ( | struct pw_impl_module * | module,
|  | struct spa_hook * | listener,
|  | const struct pw_impl_module_events * | events,
|  | void * | data
| ) |  |

Add an event listener to a module.

## ◆ pw_impl_module_destroy()

void pw_impl_module_destroy | ( | struct pw_impl_module * | module | ) |

Destroy a module.

## ◆ pw_impl_module_get_context()

struct pw_context* pw_impl_module_get_context | ( | struct pw_impl_module * | module | ) |

Get the context of a module.

## ◆ pw_impl_module_get_global()

struct pw_global* pw_impl_module_get_global | ( | struct pw_impl_module * | module | ) |

Get the global of a module.

## ◆ pw_impl_module_get_info()

const struct pw_module_info* pw_impl_module_get_info | ( | struct pw_impl_module * | module | ) |

Get the module info.

## ◆ pw_impl_module_get_properties()

const struct pw_properties* pw_impl_module_get_properties | ( | struct pw_impl_module * | module | ) |

Get the node properties.

## ◆ pw_impl_module_update_properties()

int pw_impl_module_update_properties | ( | struct pw_impl_module * | module,
|  | const struct spa_dict * | dict
| ) |  |

Update the module properties.

References NAME, pw_log::pw_log_debug, PW_MODULE_CHANGE_MASK_PROPS, and pw_properties::pw_properties_update().